Subject: Duplicate -s entry in git-format-patch(1)

From: Kevin Brodsky <[email-masked]>
Date: Fri, 25 Mar 2016 11:45:56 +0000

Hi all,

I've noticed for some time now that the man page for git-format-patch is
quite confusing because it includes two entries for the -s option:
- "-s, --no-patch", which is pulled by "include::diff-options.txt[]"in
Documentation/git-format-patch.txt
- "-s, --signoff", which is directly part of git-format-patch.txt.

The first entry is apparently wrong, format-patch never interprets it
this way, as far as I can tell. This is particularly problematic since
it's the first one listed in the man page...

I don't know how to fix this issue without duplicating diff-options.txt,
hopefully someone will be more inspired than me ;)

Thanks,
Kevin